#
# spec file for package rubygem-net-scp
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-net-scp
Version:        4.0.0
Release:        1.8
%define mod_name net-scp
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/net-ssh/net-scp
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A pure Ruby implementation of the SCP client protocol
License:        MIT
Group:          Development/Languages/Ruby

%description
A pure Ruby implementation of the SCP client protocol.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGES.txt LICENSE.txt README.rdoc" \
  -f

%gem_packages

%changelog
* Fri Oct 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 4.0.0
  see installed CHANGES.txt
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 3.0.0
  see installed CHANGES.txt
  === 3.0.0
  * NetSHH 6.* support
* Fri Mar 29 2019 Stephan Kulow <coolo@suse.com>
- updated to version 2.0.0
  see installed CHANGES.txt
  === 2.0.0
  * NetSSH 5.* support
* Thu Oct  9 2014 fcastelli@suse.com
- update to new packaging scheme and add gem2rpm.yml
* Sun May 18 2014 coolo@suse.com
- updated to version 1.2.1
  * Resign gem with new pubkey
  * Get the error string during download [jkeiser]
* Sat Jul 20 2013 coolo@suse.com
- updated to version 1.1.2
  * Explicit convert to string in shellescape [jwils]
* Wed May 15 2013 coolo@suse.com
- updated to version 1.1.1
  * Allow passing a shell to use when executing scp. [Arthur Schreiber]
* Sat Mar 23 2013 coolo@suse.com
- updated to version 1.1.0
  * Added public cert. All gem releases are now signed. See INSTALL in readme.
* Tue Feb 21 2012 saschpe@suse.de
- Provide rubygem-net-scp-1_0
* Mon Dec 20 2010 dmacvicar@suse.de
- update to 1.0.4
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Thu Mar 26 2009 mrueckert@suse.de
- initial package
